# Poco

# namespace Impl

## Overview

Classes: Ptr

Functions: hashCombine

## Classes

### class Ptr

Utility char pointer wrapper class.

## Functions

### hashCombine

template < typename SizeT > inline void hashCombine(
SizeT & seed,
SizeT value
);

### hashCombine

inline void hashCombine(
Poco::UInt32 & h1,
Poco::UInt32 k1
);

### hashCombine

inline void hashCombine(
Poco::UInt64 & h,
Poco::UInt64 k
);